local Loc = {}

function Loc.eq(a, b)
  return a.line == b.line and a.pos == b.pos
end

function Loc.lt(a, b)
  if a.line < b.line then
    return true
  end
  if a.line > b.line then
    return false
  end
  return a.pos < b.pos
end

function Loc.le(a, b)
  if a.line < b.line then
    return true
  end
  if a.line > b.line then
    return false
  end
  return a.pos <= b.pos
end

return Loc
